{% from "govuk/components/summary-list/macro.njk" import govukSummaryList %}
{% from "packages/components/tables/macro.njk" import table %}

{#
  hceSummaryTable() wraps govukSummaryList() mapping list data to the correct parameters and adding a heading

  params:
  text: object { heading: 'text', link: 'text'},
  tableData: { headings: array, data: array },
  url: 'path',
  rows: array or row objects [{key: {}, value: {}}, {key:{}}}]
#}
{% macro hceSummaryTable(params) %}

{% if not params.tableData %}
  {% if params.text.link %}
    {{ govukSummaryList({
      card: {
        title: {
          text: params.text.heading
        },
        actions: {
          items: [
            {
              href: params.url,
              text: params.text.link,
              visuallyHiddenText: params.text.link
            }
          ]
        }
      },
      rows: params.rows
    }) }}
  {% else %}
    {{ govukSummaryList({
      card: {
        title: {
          text: params.text.heading
        }
      },
      rows: params.rows
    }) }}
  {% endif %}
{% else %}
<div class="govuk-summary-card">
  <div class="govuk-summary-card__title-wrapper">
    <h2 class="govuk-summary-card__title">{{ params.text.heading }}</h2>
    {% if params.text.link %}
    <ul class="govuk-summary-card__actions">
      <li class="govuk-summary-card__action"> <a class="govuk-link" href="{{ params.url }}">
          {{ params.text.link }}<span class="govuk-visually-hidden">{{ params.text.link }}</span>
        </a>
      </li>
    </ul>
    {% endif %}
  </div>
  <div class="govuk-summary-card__content">
  {{ table({
    responsive: false,
    panel: false,
    firstCellIsHeader: false,
    head: params.tableData.headings,
    rows: params.tableData.rows
  }) }}
  </div>
</div>
{% endif %}

{% endmacro %}